Skip to content
Start here

List TLDs

GET/radar/tlds

Retrieves a list of TLDs.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
Query ParametersExpand Collapse
format: optional "JSON" or "CSV"

Format in which results will be returned.

One of the following:
"JSON"
"CSV"
limit: optional number

Limits the number of objects returned in the response.

exclusiveMinimum
minimum0
offset: optional number

Skips the specified number of objects before fetching the results.

minimum0
tld: optional string

Filters results by top-level domain. Specify a comma-separated list of TLDs.

tldManager: optional string

Filters results by TLD manager.

maxLength100
tldType: optional "GENERIC" or "COUNTRY_CODE" or "GENERIC_RESTRICTED" or 2 more

Filters results by TLD type.

One of the following:
"GENERIC"
"COUNTRY_CODE"
"GENERIC_RESTRICTED"
"INFRASTRUCTURE"
"SPONSORED"
ReturnsExpand Collapse
result: { tlds }
tlds: array of { manager, tld, type }
manager: string

The organization that manages the TLD.

tld: string

The actual TLD.

type: string

The type of TLD.

success: boolean

List TLDs

curl https://api.cloudflare.com/client/v4/radar/tlds \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "tlds": [
      {
        "manager": "VeriSign Global Registry Services",
        "tld": "com",
        "type": "GENERIC"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "result": {
    "tlds": [
      {
        "manager": "VeriSign Global Registry Services",
        "tld": "com",
        "type": "GENERIC"
      }
    ]
  },
  "success": true
}